[SCM] Gnuplot. Interactive plotting program branch, master, updated. debian/4.6.0-6-7-g3eb80f0
Anton Gladky
gladky.anton at gmail.com
Sat May 5 04:48:45 UTC 2012
The following commit has been merged in the master branch:
commit 3eb80f0f67b0ec56e7d93b8cfb7351dd60bebf93
Author: Agustin Martin Domingo <agmartin at debian.org>
Date: Fri May 4 15:32:44 2012 +0200
Install TeX files for lua terminal.
Make sure TeX files for lua terminal are installed and available.
Instead of calling dh_installtex to get debhelper snippets we use
some ad-hoc snipppets.
This saves tex-common dependency (not very important, is a small
package) and makes dpkg-reconfigure work in possible squeeze
backports. This last issue should be fixed in wheezy.
More info in:
http://bugs.debian.org/600013: tex-common:
dpkg-reconfigure doesn't work on packages calling update-texmf-config
diff --git a/debian/gnuplot-nox.install b/debian/gnuplot-nox.install
index 9ff86db..dbfc8f6 100644
--- a/debian/gnuplot-nox.install
+++ b/debian/gnuplot-nox.install
@@ -1,3 +1,4 @@
debian/tmp/NOX/usr/share/gnuplot/gnuplot.gih usr/share/gnuplot
debian/tmp/NOX/usr/share/gnuplot/gnuplot/ usr/share/gnuplot
+debian/tmp/NOX/usr/share/texmf/tex/ usr/share/texmf/
debian/tmp/NOX/usr/bin/ usr
diff --git a/debian/gnuplot-nox.postinst b/debian/gnuplot-nox.postinst
new file mode 100644
index 0000000..e460f37
--- /dev/null
+++ b/debian/gnuplot-nox.postinst
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+set -e
+
+case $1 in
+ configure|abort-upgrade|abort-remove|abort-deconfigure)
+ # Do not use dh_installtex to help squeeze backports and avoid (light)
+ # tex-common dependency. See #600013: tex-common:
+ # dpkg-reconfigure doesn't work on packages calling update-texmf-config
+ if [ "$DPKG_RUNNING_VERSION" ]; then
+ # If run under dpkg control call update-texmf-config, which
+ # will enable appropriate triggers
+ if which update-texmf-config 2>&1 > /dev/null; then
+ update-texmf-config lsr
+ fi
+ else
+ # Otherwise (e.g. on reconfigure) rebuild ls-R directly.
+ if which mktexlsr 2>&1 > /dev/null; then
+ mktexlsr /usr/share/texmf
+ fi
+ fi
+ ;;
+ *)
+esac
+
+#DEBHELPER#
diff --git a/debian/gnuplot-nox.postrm b/debian/gnuplot-nox.postrm
new file mode 100644
index 0000000..f685f5d
--- /dev/null
+++ b/debian/gnuplot-nox.postrm
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ remove|disappear)
+ # Do not use dh_installtex to help squeeze backports and avoid (light)
+ # tex-common dependency. See #600013: tex-common:
+ # dpkg-reconfigure doesn't work on packages calling update-texmf-config
+ if [ "$DPKG_RUNNING_VERSION" ]; then
+ # If run under dpkg control call update-texmf-config, which
+ # will enable appropriate triggers
+ if which update-texmf-config 2>&1 > /dev/null; then
+ update-texmf-config lsr
+ fi
+ else
+ # Otherwise (e.g. on reconfigure) rebuild ls-R directly.
+ if which mktexlsr 2>&1 > /dev/null; then
+ mktexlsr /usr/share/texmf
+ fi
+ fi
+ ;;
+ *)
+esac
+
+#DEBHELPER#
diff --git a/debian/gnuplot-qt.install b/debian/gnuplot-qt.install
index 7767090..6bd9cc6 100644
--- a/debian/gnuplot-qt.install
+++ b/debian/gnuplot-qt.install
@@ -1,5 +1,6 @@
debian/tmp/QT/usr/share/gnuplot/gnuplot.gih usr/share/gnuplot
debian/tmp/QT/usr/share/gnuplot/gnuplot/ usr/share/gnuplot
+debian/tmp/QT/usr/share/texmf/tex/ usr/share/texmf/
debian/tmp/QT/usr/lib usr
debian/tmp/QT/usr/bin usr
pm3d/contrib/* usr/share/gnuplot/pm3d
diff --git a/debian/gnuplot-qt.postinst b/debian/gnuplot-qt.postinst
new file mode 100644
index 0000000..e460f37
--- /dev/null
+++ b/debian/gnuplot-qt.postinst
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+set -e
+
+case $1 in
+ configure|abort-upgrade|abort-remove|abort-deconfigure)
+ # Do not use dh_installtex to help squeeze backports and avoid (light)
+ # tex-common dependency. See #600013: tex-common:
+ # dpkg-reconfigure doesn't work on packages calling update-texmf-config
+ if [ "$DPKG_RUNNING_VERSION" ]; then
+ # If run under dpkg control call update-texmf-config, which
+ # will enable appropriate triggers
+ if which update-texmf-config 2>&1 > /dev/null; then
+ update-texmf-config lsr
+ fi
+ else
+ # Otherwise (e.g. on reconfigure) rebuild ls-R directly.
+ if which mktexlsr 2>&1 > /dev/null; then
+ mktexlsr /usr/share/texmf
+ fi
+ fi
+ ;;
+ *)
+esac
+
+#DEBHELPER#
diff --git a/debian/gnuplot-qt.postrm b/debian/gnuplot-qt.postrm
new file mode 100644
index 0000000..f685f5d
--- /dev/null
+++ b/debian/gnuplot-qt.postrm
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ remove|disappear)
+ # Do not use dh_installtex to help squeeze backports and avoid (light)
+ # tex-common dependency. See #600013: tex-common:
+ # dpkg-reconfigure doesn't work on packages calling update-texmf-config
+ if [ "$DPKG_RUNNING_VERSION" ]; then
+ # If run under dpkg control call update-texmf-config, which
+ # will enable appropriate triggers
+ if which update-texmf-config 2>&1 > /dev/null; then
+ update-texmf-config lsr
+ fi
+ else
+ # Otherwise (e.g. on reconfigure) rebuild ls-R directly.
+ if which mktexlsr 2>&1 > /dev/null; then
+ mktexlsr /usr/share/texmf
+ fi
+ fi
+ ;;
+ *)
+esac
+
+#DEBHELPER#
diff --git a/debian/gnuplot-x11.install b/debian/gnuplot-x11.install
index 814d191..44be02d 100644
--- a/debian/gnuplot-x11.install
+++ b/debian/gnuplot-x11.install
@@ -1,5 +1,6 @@
debian/tmp/X11/usr/share/gnuplot/gnuplot.gih usr/share/gnuplot
debian/tmp/X11/usr/share/gnuplot/gnuplot/ usr/share/gnuplot
+debian/tmp/X11/usr/share/texmf/tex/ usr/share/texmf/
debian/tmp/X11/usr/lib usr
debian/tmp/X11/usr/bin usr
pm3d/contrib/* usr/share/gnuplot/pm3d
diff --git a/debian/gnuplot-x11.postinst b/debian/gnuplot-x11.postinst
old mode 100755
new mode 100644
index 36090c7..e460f37
--- a/debian/gnuplot-x11.postinst
+++ b/debian/gnuplot-x11.postinst
@@ -2,19 +2,25 @@
set -e
-if dpkg-divert --package gnuplot-x11 --list | grep -F /usr/bin/gnuplot-nox
-then
- dpkg-divert --remove --package gnuplot-x11 --rename \
- --divert /usr/bin/gnuplot-nox /usr/bin/gnuplot
-fi
-
-if dpkg-divert --package gnuplot-x11 --list | grep -F /usr/share/man/man1/gnuplot-nox.1.gz
-then
- dpkg-divert --remove --package gnuplot-x11 --rename \
- --divert /usr/share/man/man1/gnuplot-nox.1.gz \
- /usr/share/man/man1/gnuplot.1.gz
-fi
+case $1 in
+ configure|abort-upgrade|abort-remove|abort-deconfigure)
+ # Do not use dh_installtex to help squeeze backports and avoid (light)
+ # tex-common dependency. See #600013: tex-common:
+ # dpkg-reconfigure doesn't work on packages calling update-texmf-config
+ if [ "$DPKG_RUNNING_VERSION" ]; then
+ # If run under dpkg control call update-texmf-config, which
+ # will enable appropriate triggers
+ if which update-texmf-config 2>&1 > /dev/null; then
+ update-texmf-config lsr
+ fi
+ else
+ # Otherwise (e.g. on reconfigure) rebuild ls-R directly.
+ if which mktexlsr 2>&1 > /dev/null; then
+ mktexlsr /usr/share/texmf
+ fi
+ fi
+ ;;
+ *)
+esac
#DEBHELPER#
-
-exit 0
diff --git a/debian/gnuplot-x11.postrm b/debian/gnuplot-x11.postrm
new file mode 100644
index 0000000..f685f5d
--- /dev/null
+++ b/debian/gnuplot-x11.postrm
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ remove|disappear)
+ # Do not use dh_installtex to help squeeze backports and avoid (light)
+ # tex-common dependency. See #600013: tex-common:
+ # dpkg-reconfigure doesn't work on packages calling update-texmf-config
+ if [ "$DPKG_RUNNING_VERSION" ]; then
+ # If run under dpkg control call update-texmf-config, which
+ # will enable appropriate triggers
+ if which update-texmf-config 2>&1 > /dev/null; then
+ update-texmf-config lsr
+ fi
+ else
+ # Otherwise (e.g. on reconfigure) rebuild ls-R directly.
+ if which mktexlsr 2>&1 > /dev/null; then
+ mktexlsr /usr/share/texmf
+ fi
+ fi
+ ;;
+ *)
+esac
+
+#DEBHELPER#
diff --git a/debian/gnuplot-x11.prerm b/debian/gnuplot-x11.prerm
old mode 100755
new mode 100644
--
Gnuplot. Interactive plotting program
More information about the debian-science-commits
mailing list